<?php
if ( ! function_exists( 'corporate_education_pro_ajax_enqueuer' ) ) :
	/**
	 * ajax enquue
	 *
	 * @since Corporate Education Pro 1.0
	 */
	function corporate_education_pro_ajax_enqueuer() {
        $min = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

		$categories_id = get_post_meta( get_the_id(), 'corporate-education-pro-gallery-template', true );
	   	wp_register_script( "corporate-education-pro-ajax", get_template_directory_uri() . '/assets/js/ajax' . $min . '.js', array( 'jquery', 'jquery-packery-mode-pkgd' ), '', true );
	   	wp_localize_script( 'corporate-education-pro-ajax', 'corporate_education_pro', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ), 'category' => $categories_id ) );        
	   	wp_enqueue_script( 'corporate-education-pro-ajax' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'corporate_education_pro_ajax_enqueuer' );

if ( ! function_exists( 'corporate_education_pro_gallery_ajax_handler' ) ) :
	/**
	 * ajax handler
	 *
	 * @since Corporate Education Pro 1.0
	 */
	function corporate_education_pro_gallery_ajax_handler(){
		
		$gallery_ids = ( isset( $_POST['category'] ) ) ? array_map( 'absint', wp_unslash( $_POST['category'] ) ) : array();

	    $page = ( isset( $_POST['pageNumber'] ) ) ? absint( wp_unslash( $_POST['pageNumber'] ) ) : 1;
	    header("Content-Type: text/html");

	    $gallery_args = array(
	        'post_type' 		=> 'post',
	        'posts_per_page' 	=> 12,
	        'category__in'      => $gallery_ids,
	        'paged'    			=> $page,
	    );

        $gallery_posts = get_posts( $gallery_args );
        if( !empty( $gallery_posts ) ) :
            
            foreach ( $gallery_posts as $post ) : 
                $post_id = $post->ID;
                if ( has_post_thumbnail( $post_id ) ) {
                    if ( $i <= 2 ) :
                        $img_array = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'medium_large' );
                        $img_array_lg = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'full' );
                    else :
                        $img_array = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'corporate-education-pro-medium' );
                        $img_array_lg = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'full' );
                    endif;
                } else {
                    $img_array[0] = get_template_directory_uri().'/assets/uploads/no-featured-image-500x500.jpg';
                    $img_array_lg[0] = '';
                }

                $post_title = get_the_title( $post_id );
                $post_url = get_the_permalink( $post_id ); 
                $post_categories = get_the_category( $post_id );

                $post_category_list = '';
                foreach ( $post_categories as $post_category ) {
                    $post_category_list .= $post_category->slug . ' ';
                }
                ?>
                <div class="grid-item <?php echo esc_attr( $post_category_list ); ?>">
                    <figure class="featured-image" style="background-image: url('<?php echo esc_url( $img_array[0] ); ?>');">
                        <div class="gallery-hover">
                            <span class="gallery-item-title"><a href="<?php echo esc_url( $post_url ); ?>"><?php echo esc_html( $post_title ); ?></a></span>
                            <span>
                                <?php if ( ! empty( $img_array_lg[0] ) ) : ?>
                                    <a href="<?php echo esc_url( $img_array_lg[0] ); ?>" class="popup"><i class="fa fa-camera"></i></a>
                                <?php endif; ?>
                                <a href="<?php echo esc_url( $post_url ); ?>"><i class="fa fa-link"></i></a>
                            </span>
                        </div><!-- .gallery-hover -->
                    </figure>
                </div><!-- .grid-item -->
            <?php $i++; 
            endforeach; 
        endif; 
	    die();
	}
endif;
add_action("wp_ajax_corporate_education_pro_gallery_ajax_handler", "corporate_education_pro_gallery_ajax_handler");
add_action("wp_ajax_nopriv_corporate_education_pro_gallery_ajax_handler", "corporate_education_pro_gallery_ajax_handler");